netatalk: vol Struct Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
vol Struct Reference

`#include <volume.h>`

## Data Fields
struct vol * | v_next
AFPObj * | v_obj
uint16_t | v_vid
int | v_flags
char * | v_path
struct dir * | v_root
time_t | v_mtime
charset_t | v_volcharset
charset_t | v_maccharset
uint16_t | v_mtou_flags
uint16_t | v_utom_flags
long | v_kTextEncoding
size_t | max_filename
char * | v_veto
int | v_adouble
int | v_ad_options
const char *(* | ad_path )(const char *, int)
struct _cnid_db * | v_cdb
char | v_stamp [ADEDLEN_PRIVSYN]
VolSpace | v_limitsize
mode_t | v_umask
mode_t | v_dperm
mode_t | v_fperm
ucs2_t * | v_u8mname
ucs2_t * | v_macname
ucs2_t * | v_name
time_t | v_ctime
dev_t | v_dev
struct vfs_ops * | vfs
const struct vfs_ops * | vfs_modules [4]
int | v_vfs_ea
char * | v_gvs
void * | v_nfsclient
int | v_nfs
VolSpace | v_tm_used
time_t | v_tm_cachetime
VolSpace | v_appended
int | v_casefold
char * | v_configname
char * | v_localname
char * | v_volcodepage
char * | v_maccodepage
char * | v_password
char * | v_cnidscheme
char * | v_dbpath
char * | v_cnidserver
char * | v_cnidport
char * | v_legacyicon
unsigned char * | v_icon_rfork
size_t | v_icon_rfork_len
int | v_deleted
char * | v_sl_backend_name
const struct sl_backend_ops * | v_sl_backend
char * | v_preexec
char * | v_postexec
int | v_preexec_close
char * | v_uuid
int | v_qfd
uint32_t | v_ignattr

## Field Documentation

## ◆ ad_path

const char *(* vol::ad_path) (const char *, int)

## ◆ max_filename

size_t vol::max_filename

## ◆ v_ad_options

int vol::v_ad_options

adouble option NODEV, NOCACHE, etc..

## ◆ v_adouble

int vol::v_adouble

adouble format: v1, v2

## ◆ v_appended

VolSpace vol::v_appended

amount of data appended to files

## ◆ v_casefold

int vol::v_casefold

## ◆ v_cdb

struct _cnid_db* vol::v_cdb

## ◆ v_cnidport

char* vol::v_cnidport

## ◆ v_cnidscheme

char* vol::v_cnidscheme

## ◆ v_cnidserver

char* vol::v_cnidserver

## ◆ v_configname

char* vol::v_configname

as defined in afp.conf

## ◆ v_ctime

time_t vol::v_ctime

volume creation date, not unix ctime

## ◆ v_dbpath

char* vol::v_dbpath

## ◆ v_deleted

int vol::v_deleted

volume open but deleted in new config file

## ◆ v_dev

dev_t vol::v_dev

Unix volume device, Set but not used

## ◆ v_dperm

mode_t vol::v_dperm

default directories permission value OR with requested perm

## ◆ v_flags

int vol::v_flags

## ◆ v_fperm

mode_t vol::v_fperm

default files permission value OR with requested perm

## ◆ v_gvs

char* vol::v_gvs

## ◆ v_icon_rfork

unsigned char* vol::v_icon_rfork

pre-built resource fork

## ◆ v_icon_rfork_len

size_t vol::v_icon_rfork_len

length of v_icon_rfork data

## ◆ v_ignattr

uint32_t vol::v_ignattr

AFP attributes that shall be ignored

## ◆ v_kTextEncoding

long vol::v_kTextEncoding

mac charset encoding in network order

## ◆ v_legacyicon

char* vol::v_legacyicon

virtual icon name

## ◆ v_limitsize

VolSpace vol::v_limitsize

Size limit, if any, in MiB

## ◆ v_localname

char* vol::v_localname

as defined in afp.conf but with vars expanded

## ◆ v_maccharset

charset_t vol::v_maccharset

## ◆ v_maccodepage

char* vol::v_maccodepage

## ◆ v_macname

ucs2_t* vol::v_macname

mangled to legacy longname in ucs2

## ◆ v_mtime

time_t vol::v_mtime

## ◆ v_mtou_flags

uint16_t vol::v_mtou_flags

flags for convert_charset in mtoupath

## ◆ v_name

ucs2_t* vol::v_name

either v_u8mname or v_macname

## ◆ v_next

struct vol* vol::v_next

## ◆ v_nfs

int vol::v_nfs

## ◆ v_nfsclient

void* vol::v_nfsclient

## ◆ v_obj

AFPObj* vol::v_obj

## ◆ v_password

char* vol::v_password

## ◆ v_path

char* vol::v_path

## ◆ v_postexec

char* vol::v_postexec

## ◆ v_preexec

char* vol::v_preexec

## ◆ v_preexec_close

int vol::v_preexec_close

## ◆ v_qfd

int vol::v_qfd

## ◆ v_root

struct dir* vol::v_root

## ◆ v_sl_backend

const struct sl_backend_ops* vol::v_sl_backend

NULL if spotlight disabled

## ◆ v_sl_backend_name

char* vol::v_sl_backend_name

name of search backend, or NULL

## ◆ v_stamp

char vol::v_stamp[ADEDLEN_PRIVSYN]

## ◆ v_tm_cachetime

time_t vol::v_tm_cachetime

time at which v_tm_used was calculated last

## ◆ v_tm_used

VolSpace vol::v_tm_used

used bytes on a TM volume

## ◆ v_u8mname

ucs2_t* vol::v_u8mname

converted to utf8-mac in ucs2

## ◆ v_umask

mode_t vol::v_umask

## ◆ v_utom_flags

uint16_t vol::v_utom_flags

## ◆ v_uuid

char* vol::v_uuid

For TimeMachine zeroconf record

## ◆ v_veto

char* vol::v_veto

## ◆ v_vfs_ea

int vol::v_vfs_ea

The AFPVOL_EA_xx flag

## ◆ v_vid

uint16_t vol::v_vid

## ◆ v_volcharset

charset_t vol::v_volcharset

## ◆ v_volcodepage

char* vol::v_volcodepage

## ◆ vfs

struct vfs_ops* vol::vfs

pointer to vfs_master_funcs for chaining

## ◆ vfs_modules

const struct vfs_ops* vol::vfs_modules[4]

The documentation for this struct was generated from the following file:

- include/atalk/volume.h